%define upstream_name    Task-Test-Run-AllPlugins
%define upstream_version 0.0105

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Specifications for installing all the Test::Run
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Task/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::CmdLine)
BuildRequires: perl(Test::Run::CmdLine::Plugin::AlternateInterpreters)
BuildRequires: perl(Test::Run::CmdLine::Plugin::BreakOnFailure)
BuildRequires: perl(Test::Run::CmdLine::Plugin::ColorFileVerdicts)
BuildRequires: perl(Test::Run::CmdLine::Plugin::ColorSummary)
BuildRequires: perl(Test::Run::CmdLine::Plugin::TrimDisplayedFilenames)
BuildRequires: perl(Test::Run::Core)
BuildRequires: perl(Test::Run::Plugin::AlternateInterpreters)
BuildRequires: perl(Test::Run::Plugin::BreakOnFailure)
BuildRequires: perl(Test::Run::Plugin::ColorFileVerdicts)
BuildRequires: perl(Test::Run::Plugin::ColorSummary)
BuildRequires: perl(Test::Run::Plugin::TrimDisplayedFilenames)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
the Test::Run manpage is an improved harness for running test files based
on the "Test Anything Protocol" (TAP - the http://testanything.org/ manpage
), which is commonly used for writing tests for Perl code, but is otherwise
universal.

Installing this Task should get you up-to-speed with Test::Run by
installing all the plugins that are available for it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jan 20 2017 shlomif <shlomif> 0.10.500-1.mga6
+ Revision: 1082523
- importing from cpan2dist


* Fri Jan 20 2017 cpan2dist 0.0105-1mga
- initial mageia release, generated with cpan2dist
